/*
 *  GUI/AddingPluginDialog.cs
 *  Copyright (C) 2006-2007 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using System.Reflection;
using Gdk;
using Mono.Unix;
using Gtk;
using Glade;


namespace Incollector.GUI {
	
	/*
	 * AddingPluginDialog class
	 */
	
	public class AddingPluginDialog {
		private Glade.XML  gui;
		public  Gtk.Dialog dialog;

		[Glade.Widget] public  Gtk.FileChooserButton FileName;
		
		
		
		/* Constructor */
		public AddingPluginDialog (Gtk.Window parent, string file)
		{
			gui = Glade.XML.FromAssembly ("gui.glade", "AddingPluginDialog", null);
			gui.Autoconnect (this);
			dialog = (Gtk.Dialog) gui.GetWidget ("AddingPluginDialog");
			dialog.TransientFor = parent;
			dialog.VBox.BorderWidth = 0;
			
			Gtk.FileFilter filter = new Gtk.FileFilter ();
			filter.AddPattern ("*.ipkg");
			FileName.Filter = filter;

			Icons.AssignWindow (dialog);
			Icons.AssignImage (Icons.ADD_PLUGIN_DIALOG, "Icon", gui);
			Icons.AssignImage (Icons.ADD_PLUGIN_BUTTON, "OkBtnImg", gui);
			
			Colors.ColorHead (Engine.Settings.GetBool ("ColorWindowsHeaders"), gui);
		}
	}
}
